#!/usr/bin/env Rscript
args = commandArgs(trailingOnly=TRUE)
if (length(args) != 1) stop("One argument (path to NONMEM model) needs to be provided")
model <- args
if (!file.exists(model)) stop("The provided model does not exist")
if (!"IQReportAPI" %in% rownames(installed.packages())) stop("IQReportAPI package not installed in R version run ba Rscript")

library(IQReportAPI)
IQRinitCompliance("Interactive")
filename <- paste0(model,".table.txt")
tableNM_IQReportAPI(model,filename = filename)
cat("\n\nNONMEM to table conversion done!\n")