################################################################################
################################################################################
# Setup options for IQReport R API
################################################################################
################################################################################

# ==============================================================================
# Compliance mode
# ==============================================================================
# If TRUE then  exported PDFs, text files, etc. will have an associated log file
# that  records  time, data, file  location,   and  user. If FALSE,  then  these
# additional log files are not generated. The activated compliance mode requires
# the user to call IQRinitCompliance("ScriptName") at the start of each script.
.COMPLIANCE_MODE <- FALSE

# ==============================================================================
# Path to IQReport for integrated reporting in Microsoft Word
# ==============================================================================
# The IQReport software can be obtained from http://iqreport.intiquan.com.
# Installation  needs  to be handled separately from IQRtols but  here the paths
# to the executables need to be provided (for Windows and Linux separately):
if (.Platform$OS.type=="unix") {
  .PATH_IQRreport <- "/opt/IQReport/IQReport.sh"
} else {
  .PATH_IQRreport <- "C:/LOCAL/IQReport/IQReport.exe"
}

# ==============================================================================
# Local user settings file
# ==============================================================================
# Define if the user is allowed to override the options in  this file.  If it is
# allowed then the user can place a setup_options_IQReportAPI.R file  in his  or
# her home folder  and  define  the  variables that  should be  overriden  (with
# exception of the following variable):
.ALLOW_USER_SETTINGS_FILE <- TRUE
