% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/compliance_tools.R
\name{IQRoutputPDF}
\alias{IQRoutputPDF}
\title{Printing a single ggplot object to a PDF file with added compliance information log file}
\usage{
IQRoutputPDF(gr, filename = NULL, width = 21/2.54, height = 21/2.54 * 3/4, ...)
}
\arguments{
\item{gr}{ggplot graph object to be printed to file}

\item{filename}{Character string with the filename (can include path) for export.
Should include extension to the filename (.pdf).}

\item{width}{width of figure in inch}

\item{height}{height of figure in inch}

\item{...}{Additional arguments passed to \code{\link[grDevices]{pdf}()}}
}
\description{
The compliance log file will only be generated if .COMPLIANCE_MODE is set to TRUE.
The name of the generated compliance log file is the same name as the text file name
but with appended ".log". The extension for the exported text file will be kept
unchanged in the exported log file name. In order for the log file generation to
work the global variable "COMPLIANCE_MODE_SCRIPT_NAME" needs to be defined by the user
and in each R script set to the name of the script.
}
