% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/compliance_tools.R
\name{IQRoutputTable}
\alias{IQRoutputTable}
\title{Convert dataframe to IQRoutputTable object and allow export}
\usage{
IQRoutputTable(
  xtable = NULL,
  xfooter = NULL,
  xtitle = NULL,
  object = NULL,
  filename = NULL,
  report = NULL,
  na.string = NULL
)
}
\arguments{
\item{xtable}{Table to be exported as dataframe}

\item{xfooter}{String with footer text}

\item{xtitle}{String with table title text}

\item{object}{IQRoutputTable object. If defined, xtable is not used but xfooter,
xtitle and report (if defined) will be set in the object, overwriting old content}

\item{filename}{String with filename (can include path)}

\item{report}{TRUE: add reporting tags <TT>, <TR>, <TH>, <TF>
FALSE: do not add (for scfreen output only)
NULL: same as TRUE if xtable provided.}

\item{na.string}{Character string to replace NA entries by. Defaults to NULL.}
}
\value{
IQRoutputTable object. This object can be converted to text using the
function text_IQRoutputTable().
}
\description{
This function allows to export a data.frame as a table with optional
title and footer information. Export is done if a filename is provided.
If the compliance mode is on (.COMPLIANCE_MODE is set to TRUE) then this function
also generates a compliance log file (only if filename is provided).
The name of the generated compliance log file is the same name as the text file name
but with appended ".log". The function also returns an IQRoutputTable object
that essentially is a list with xtable, xtitle, and xfooter entries.
}
