% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/report_classes_IQRrmd.R
\name{rmdTITLE}
\alias{rmdTITLE}
\title{Generate title RMD command}
\usage{
rmdTITLE(
  template = "DefaultStyle.rmdt",
  title = "Default Title",
  subtitle = "Default Subtitle",
  date = format(Sys.Date(), "\%d-\%b-\%Y")
)
}
\arguments{
\item{template}{Name of the *.rmdt template file to be used}

\item{title}{Character string with title of the document}

\item{subtitle}{Character string with subtitle of the document}

\item{date}{Character string with date to be shown}
}
\value{
Title IQRrmd object
}
\description{
In the title section of an RMD document the template to be used and the
title page information to be shown are defined. IQRtools works with IQReport and
the DefaultStyle.rmdt template document. If you want to use a different template
you can do that but you would need to have one. Contact info@intiquan.com to
learn more. You basically can get IQRtools generate Word reports in the desired
style, required for your organization.
}
\seealso{
Other IQR report: 
\code{\link{+.IQRrmd}()},
\code{\link{export_IQRrmd}()},
\code{\link{print.IQRrmd}()},
\code{\link{rmdAPPROVALS}()},
\code{\link{rmdCOMMENT}()},
\code{\link{rmdEMPTY}()},
\code{\link{rmdFIGURE}()},
\code{\link{rmdFIGref}()},
\code{\link{rmdLANDSCAPE}()},
\code{\link{rmdLINEBREAK}()},
\code{\link{rmdNEWPAGE}()},
\code{\link{rmdNOINTRO}()},
\code{\link{rmdPARAGRAPH}()},
\code{\link{rmdPDF}()},
\code{\link{rmdPORTRAIT}()},
\code{\link{rmdSECTION}()},
\code{\link{rmdSECref}()},
\code{\link{rmdTABLEDF}()},
\code{\link{rmdTABLE}()},
\code{\link{rmdTABref}()},
\code{\link{rmdTEXTSTYLE}()},
\code{\link{rmdTXTref}()},
\code{\link{rmdTXT}()},
\code{\link{rmdURL}()},
\code{\link{rmdVALref}()}
}
\concept{IQR report}
