% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/report_classes_IQRrmd.R
\name{rmdTXT}
\alias{rmdTXT}
\title{Generate RMD command to include a text from a file}
\usage{
rmdTXT(file, caption = NULL, fontsize = 10, style = "CODE", label = NULL)
}
\arguments{
\item{file}{Character string, specifying the absolute or relative path to the
text file to include.}

\item{caption}{Caption for the text file. If NULL then no caption is shown.}

\item{fontsize}{Integer value for the fontsize.}

\item{style}{Word DOCX template style to use for the text (default: "CODE")}

\item{label}{Character string to be used for cross-referencing. If label and caption
provided, then the caption will be numbered.}
}
\value{
TXT command as IQRrmd object
}
\description{
Generate RMD command to include a text from a file
}
\seealso{
Other IQR report: 
\code{\link{+.IQRrmd}()},
\code{\link{export_IQRrmd}()},
\code{\link{print.IQRrmd}()},
\code{\link{rmdAPPROVALS}()},
\code{\link{rmdCOMMENT}()},
\code{\link{rmdEMPTY}()},
\code{\link{rmdFIGURE}()},
\code{\link{rmdFIGref}()},
\code{\link{rmdLANDSCAPE}()},
\code{\link{rmdLINEBREAK}()},
\code{\link{rmdNEWPAGE}()},
\code{\link{rmdNOINTRO}()},
\code{\link{rmdPARAGRAPH}()},
\code{\link{rmdPDF}()},
\code{\link{rmdPORTRAIT}()},
\code{\link{rmdSECTION}()},
\code{\link{rmdSECref}()},
\code{\link{rmdTABLEDF}()},
\code{\link{rmdTABLE}()},
\code{\link{rmdTABref}()},
\code{\link{rmdTEXTSTYLE}()},
\code{\link{rmdTITLE}()},
\code{\link{rmdTXTref}()},
\code{\link{rmdURL}()},
\code{\link{rmdVALref}()}
}
\concept{IQR report}
